@echo off
if exist cfg\zerotime.cfg move cfg\zerotime.cfg cfg\zerotime.bak
if exist hi\zerotime.hi move hi\zerotime.hi hi\zerotime.bak
if exist nvram\zerotime.nv move nvram\zerotime.nv nvram\zerotime.bak
if exist diff\zerotime.dif move diff\zerotime.dif diff\zerotime.bak

mame zerotime -record zerotime.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\zerotime.bak move cfg\zerotime.bak cfg\zerotime.cfg
if exist hi\zerotime.bak move hi\zerotime.bak hi\zerotime.hi
if exist nvram\zerotime.bak move nvram\zerotime.bak nvram\zerotime.nv
if exist diff\zerotime.bak move diff\zerotime.bak diff\zerotime.dif
